cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Can I re-create the coordinate system using the coordinate system generated by ProFeatureCreate?

SOLVED
Highlighted

Can I re-create the coordinate system using the coordinate system generated by ProFeatureCreate?

I created a csys_feature using ProFeatureCreate.

Use ProFeatureSelectionGet to get the ProSelection handle of the created feature.

 

I tried the following values for PRO_E_CSYS_ORIGIN_CONSTR_REF among the options of ProFeatureCreate.
value_data.type = PRO_VALUE_TYPE_SELECTION;
value_data.v.r = ProSelection handle of feature created using ProFeatureSelectionGet

 

The coordinate system is not created and displays the Coordinate System dialog box.
The following text is displayed in the text area below.
>>Select up to 3 references, such as plane, edge, coordinate system, or point to place coordinate system.

 

Is there something I missed?

 

Does the ProSelection handle of PRO_E_CSYS_ORIGIN_CONSTR_REF unconditionally use the handle obtained from ProSelect?

 

 

Tags (2)
1 ACCEPTED SOLUTION

Accepted Solutions

Re: Can I re-create the coordinate system using the coordinate system generated by ProFeatureCreate?

Just for my curiosity about API ProFeatureSelectionGet. Were you working for part only or assembly?

 

For your query, get ID of created CSYS. Then use ProModelitemInit() and follow it with ProSelectionAlloc to have allocation of created CSYS.

 

-HIH

Ketan

View solution in original post

2 REPLIES 2

Re: Can I re-create the coordinate system using the coordinate system generated by ProFeatureCreate?

This has been resolved.
Now I need to automatically replace the selection to generate the pattern.
We use the toolkit API to generate directional patterns.
Refer to csys_axis after obtaining it through ProSelect.

If I refer to the Z direction of the coordinate system feature created by the toolkit API, is it possible without ProSelect?
How do I try it?

Thank you.

Re: Can I re-create the coordinate system using the coordinate system generated by ProFeatureCreate?

Just for my curiosity about API ProFeatureSelectionGet. Were you working for part only or assembly?

 

For your query, get ID of created CSYS. Then use ProModelitemInit() and follow it with ProSelectionAlloc to have allocation of created CSYS.

 

-HIH

Ketan

View solution in original post

Announcements